Class | Fog::Ecloud::MockDataClasses::MockNetwork
In: | lib/fog/ecloud/mock_data_classes.rb
Parent: | Base

### Methods

address broadcast dns extensions features gateway ip_collection name netmask random_ip rnat subnet usable_subnet_ips

### Public Instance methods

address()
broadcast()
dns()
extensions()
features()
gateway()
ip_collection()
name()
netmask()
random_ip()
rnat()

for TM eCloud. should probably be a subclass

subnet()
usable_subnet_ips()

[Validate]